﻿using Microsoft.AspNetCore.Mvc;
using SqlDataReaderADONET.DirectSql;
using System;
using System.Collections.Generic;
using System.Data;

namespace SqlDataReaderADONET.Controllers
{
    [Route("performance")]
    public class PerformanceController : Controller
    {

        public IActionResult Index()
        {
            // Количество повторений
            int numRepeat = 100;
            ViewBag.NumRepeat = numRepeat;


            DateTime dtOneTable = DateTime.Now;
            for (int i = 0; i < numRepeat; i++)
            {
                SqlQueries.CreateQuerySqlOneTable("SELECT * FROM  Test");
                SqlQueries.CreateQuerySqlOneTable("SELECT * FROM  Test1");
                SqlQueries.CreateQuerySqlOneTable("SELECT * FROM  Test2");
                SqlQueries.CreateQuerySqlOneTable("SELECT * FROM  Test3");
                SqlQueries.CreateQuerySqlOneTable("SELECT * FROM  TableData");
            }
            ViewBag.PerformanceOneTable = (DateTime.Now - dtOneTable).TotalMilliseconds;



            // Запросы для нескольких таблиц
            DateTime dtSeveralTables = DateTime.Now;
            for (int i = 0; i < numRepeat; i++)
            {
                SqlQueries.CreateQuerySqlSeveralTables("SELECT * FROM  Test;" + 
                    "SELECT * FROM  Test1;" + "SELECT * FROM  Test2;" + "SELECT * FROM  Test3;" + "SELECT * FROM  TableData;");
            }
            ViewBag.PerformanceSeveralTable = (DateTime.Now - dtSeveralTables).TotalMilliseconds;


            return View();
        }

    }
}
